package org.dromara.system.service.notice;


import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.system.domain.notice.bo.XiaoyuanNoticeBo;
import org.dromara.system.domain.notice.vo.XiaoyuanNoticeVo;

import java.util.Collection;
import java.util.List;

/**
 * 校园新闻Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IXiaoyuanNoticeService {

    /**
     * 查询校园新闻
     */
    XiaoyuanNoticeVo queryById(Long noticeId);

    /**
     * 查询校园新闻列表
     */
    TableDataInfo<XiaoyuanNoticeVo> queryPageList(XiaoyuanNoticeBo bo, PageQuery pageQuery);
    List<XiaoyuanNoticeVo> selectXiaoyuanNoticeMyList(XiaoyuanNoticeBo bo, PageQuery pageQuery);

    /**
     * 查询校园新闻列表
     */
    List<XiaoyuanNoticeVo> queryList(XiaoyuanNoticeBo bo);

    /**
     * 新增校园新闻
     */
    Boolean insertByBo(XiaoyuanNoticeBo bo);

    /**
     * 修改校园新闻
     */
    Boolean updateByBo(XiaoyuanNoticeBo bo);

    /**
     * 校验并批量删除校园新闻信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    /**
     * 我的收藏
     * @param bo
     * @param pageQuery
     * @return
     */
    TableDataInfo<XiaoyuanNoticeVo> myCollect(XiaoyuanNoticeBo bo, PageQuery pageQuery);
}
